Page MenuHomeFreeBSD

style: tweak tab after #define advice
ClosedPublic

Authored by imp on May 13 2021, 9:53 PM.
Tags
None
Referenced Files
F62449655: D30254.id90746.diff
Wed, Jun 7, 10:13 AM
Unknown Object (File)
May 3 2023, 6:38 PM
Unknown Object (File)
Apr 8 2023, 5:44 AM
Unknown Object (File)
Apr 6 2023, 12:09 AM
Unknown Object (File)
Apr 5 2023, 9:37 AM
Unknown Object (File)
Mar 26 2023, 6:15 PM
Unknown Object (File)
Feb 28 2023, 5:31 PM
Unknown Object (File)
Feb 15 2023, 9:20 PM
Subscribers

Details

Summary

Once upon a time, #define<tab> was cultural thing. However, even when it
was promulgated, it was a minority usage. 20 years ago the split was
30k/69k (tab/space) and today the split is 80k/546k (tab/space). Update
guidance to allow either.

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.May 13 2021, 9:53 PM
This revision is now accepted and ready to land.May 13 2021, 10:01 PM

Can we please encourage per-file or per-group consistency? Patches are annoying to read when the a group of #defines randomly switches between styles.

Can we please encourage per-file or per-group consistency? Patches are annoying to read when the a group of #defines randomly switches between styles.

Ditto @brooks ; Perhaps a blanket statement near the top that when making minor modifications to existing files, go with the flow, even if it's not strictly conformant to style(9)?

add suggested consistency stuff

This revision now requires review to proceed.May 27 2021, 2:16 PM
jhb added inline comments.
share/man/man9/style.9
220

I would probably drop the "try to".

This revision is now accepted and ready to land.Jun 11 2021, 4:37 PM
This revision was automatically updated to reflect the committed changes.